#
# spec file for package DVDStyler
#
# Copyright (c) 2012-2014 Mariusz Fik <fisiu@opensuse.org>
# Copyright (c) 2011-2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2007-2011 Detlef Reichelt <detlef@links2linux.de>
# Copyright (c) 2004-2005 Rainer Lay <rainer@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           DVDStyler
Version:        2.7.2
Release:        1.18
License:        GPL-2.0+
Summary:        GUI frontend for dvdauthor and other related tools
Url:            http://DVDStyler.sourceforge.net/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         http://prdownloads.sourceforge.net/dvdstyler/DVDStyler-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  cdrkit-cdrtools-compat
BuildRequires:  dvd+rw-tools
BuildRequires:  dvdauthor
BuildRequires:  fdupes
BuildRequires:  ffmpeg
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libffmpeg-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libnetpbm-devel
BuildRequires:  mpgtx
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRequires:  xmlto
BuildRequires:  zip
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libwxsvg) >= 1.1.14
BuildRequires:  pkgconfig(mjpegtools)
%if 0%{?suse_version} > 1130
%define         _use_internal_dependency_generator 0
%define         __find_requires %wx_requires
BuildRequires:  wxWidgets-wxcontainer-devel
%else
BuildRequires:  wxGTK-devel
%endif
Requires:       dvd+rw-tools
Requires:       dvdauthor07
Requires:       mjpegtools
Requires:       mpgtx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
DVDStyler is a gui frontend for using dvdauthor and dvd-slideshow scripts to easily
build DVD menus and assemble the DVD VOB files.

%prep
%setup -q

%build
%configure --docdir="%{_docdir}/%{name}"
make %{?_smp_flags}

%install
%makeinstall

rm "%{buildroot}%{_docdir}/%{name}/INSTALL"

%suse_update_desktop_file -r dvdstyler DiscBurning
%find_lang dvdstyler

%fdupes -s "%{buildroot}%{_datadir}/"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f dvdstyler.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/dvdstyler
%{_datadir}/applications/dvdstyler.desktop
%dir %{_datadir}/dvdstyler
%{_datadir}/dvdstyler
%{_datadir}/pixmaps/dvdstyler.png
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%{_mandir}/man1/dvdstyler.1%{ext_man}

%changelog
* Sat May 24 2014 fisiu@opensuse.org
- Update to 2.7.2:
  * fixed some small bugs
* Sat May 24 2014 fisiu@opensuse.org
- Update to 2.7.1:
  * fixed title selection menu
  * fixed burning from command line
* Sat May 24 2014 fisiu@opensuse.org
- Update to 2.7:
  * better support of multiple titlesets
  * added a possibility to add a chapter selection menu
  * added the rectangle selection tool
  * added possibility to align multiple buttons to left/right/top/bottom
  * added slide properties dialog
  * added a possibility to select a titleset to import from DVD
  * changed to use mplex tool for menu multiplexing
* Thu Nov 21 2013 fisiu@opensuse.org
- Update to 2.6:
  * added slideshow transitions
  * loop slideshow audio
  * added support of ffmpeg audio filters (see https://ffmpeg.org/ffmpeg-filters.html)
  * added possibility to specify output directory
  * added command line options "temp", "iso" and "device"
  * added displaying of progress by loading files
  * added printing of the title size information in log
  * fixed upmix to 5.1
  * fixed calculation of borders for keeping aspect ratio
* Thu Sep  5 2013 fisiu@opensuse.org
- Update to 2.5.2:
  * fixed loading of projects with video buttons
  * added log file
* Fri Jul 26 2013 fisiu@opensuse.org
- Update to 2.5:
  * redesigned chapters and cell properties dialogs
  * added frame spin controls
  * added disc capacity "CD 700MB"
  * added possibility to justify text left/right
  * added support of video files without audio streams
  * added support of SMPTE time codes in chapter list
  * added possibility to set "default chapter length" to 0 to disable
    creation of chapters
  * fixed rendering of video buttons
  * fixed displaying of start and recording time
  * updated ffmpeg to version 1.2
  * added Spanish translation
  * added Hungarian translation of DVDStyler Guide
* Tue Apr  9 2013 fisiu@opensuse.org
- Update to 2.4.3:
  * fixed rendering of video buttons
  * fixed initialization of auto-execute flag
  * added Spanish translation
* Fri Mar 22 2013 fisiu@opensuse.org
- Update to 2.4.2:
  * fixed transcoding of video files that contain first audio then
    video stream
  * added check if video fit on DVD without re-encoding
* Mon Feb 25 2013 fisiu@opensuse.org
- Update to 2.4.1 (changes since 2.3.5):
  * added some new templates
  * added frame 45° button and object
  * added ellipse 45° button and object
  * frame object: added possibility to display image
  * fixed some of templates: pause of menu is set to -1
  * fixed handling of subtitle streams
  * added possibility to set subtitle opacity
  * added support of auto execute buttons
  * added 'none' naviagtion option for buttons
  * added shortcut Ctrl-A to select all menu objects
  * added audio bitrate to DVD properties
  * added "keep aspect ratio" setting to default video format configuration
  * changed type of image opacity values from decimal to percent
  * fixed calculation of DVD size if start/end time is set
- Drop DVDStyler-fix_rmdir_in_doc_building.patch and
  DVDStyler-add_missing_shlibs_to_linker.patch: fixed upstream
* Fri Dec 28 2012 fisiu@opensuse.org
- Update to 2.3.5 (changes since 2.1):
  * added new menu templates: Christmas, Winter and SnowField
  * fixed calculation of DVD size if start/end time is set
  * added Finnish translation (thanks to Matti Leppälä)
  * added Portuguese translation of DVDStyler Guide (thanks to João Frade)
  * updated libav to snapshot 2012-12-25
  * fixed generation of menu with video background
  * fixed aspect ratio of slideshow images
  * fixed generation of menu with audio
  * updated some translations
  * fixed transcoding of titles with multiple audio files
  * fixed warning "button y coordinates are odd"
  * added bell after finishing a burn
  * added Romanian translation (thanks to Dan Ibanescu)
  * updated libav to snapshot 2012-10-13
  * added possibility to import titles from DVD (VIDEO_TS directory)
  * added possibility to rearrange the order of VOBs in a title
  * added possibility to upmix stereo to 5.1
  * added support of PCM audio format
  * added possibility to select default title post command
  * changed behavior of "do not remultiplex"-check box and format choices
  * fixed default menu navigation
  * fixed setting of NTSC video format
  * fixed selecting of video frame from title with multiple video files
  * fixed setting of audio bitrate
  * added support of libav 0.9 / ffmpeg 0.11 and changed to use avconv tool to transcode
  * added Brazilian Portuguese translation of DVDStyler Guide (thanks to Paulo Henrique Araujo)
  * added support of video buttons
  * added video frame selection dialog
  * added ellipse button with image/video frame
  * added shadow to some of buttons
  * added menu template "ocean"
  * fixed action error validation if no menus exist
  * fixed default menu navigation
  * added check of overlapping buttons
  * fixed generation of DVD without menus
  * added possibility to set audio time offset
  * added support of libav (thanks to Fabrice Coutadeur)
  * added support of wxWidgets 2.9.3
  * added Catalan translation (thanks to Rafael Ferran i Peralta)
  * added Uzbek translation (thanks to Umidjon Almasov)
  * added Turkish translation (thanks to Dursun Cemal)
* Sun Apr 22 2012 pascal.bleser@opensuse.org
- update to 2.1:
  * added support of SVG images
  * added support of SVG blur filter
  * added new button: shadow frame
  * added 5 new backgrounds
  * fixed displaying of multiple spaces
  * fixed multiplexing the subtitles
  * fixed support of multi-core processors
  * updated ffmpeg to version 0.8.7
* Sun Nov 27 2011 detlef@links2linux.de
- new upstream version <2.0.1>
  * updated some translations
* Tue Oct 25 2011 pascal.bleser@opensuse.org
- add fixes and workarounds:
  * DVDStyler-add_missing_shlibs_to_linker.patch
  * DVDStyler-fix_rmdir_in_doc_building.patch
* Mon Oct 24 2011 pascal.bleser@opensuse.org
- update to 2.0:
  * added full support of video background
  * added using of anti-aliasing for buttons
  * added storing of custom colours in the colour selection dialog
  * added support of multiline buttons
  * added possibility to change order of titles and menus per drag and drop
  * added possibility to select multiply menu objects
  * added option to keep aspect ratio of background image/video
  * added audio properties dialog
  * added possibility to change audio volume
  * added saving of ISO file name in the project file
  * added new menu template
  * added background "penguin"
  * added support of Avisynth
  * updated ffmpeg to version 0.8.3
- dropped ffmpeg patch, 2.0 now builds fine against latest ffmpeg
* Tue Aug 30 2011 detlef@links2linux.de
- new upstream version <1.8.4.3>
* Sun Jul 31 2011 Manfred.Tremmel@iiv.de
  * updated ffmpeg patch, used work of DVDStyler 1.9.0b1
* Mon Jun 13 2011 Manfred.Tremmel@iiv.de
  * included a patch to work with new ffmpeg abi
* Sat Mar  5 2011 detlef@links2linux.de
- new upstream version <1.8.3>
  * added option to keep aspect ratio of video
  * added possibility to cut video
  * added possibility to select fill, outline and shadow color of subtitles
  * added possibility to add/remove single images in slideshow
  * added support of NTSC film.
  * updated dvdauthor to version 0.7.0..
* Sun Feb 20 2011 detlef@links2linux.de
  * updated some translations
* Sat Dec 25 2010 detlef@links2linux.de
- new upstream version <1.8.2>
  * fixed rendering of menu (considering aspect ratio)
  * added generation of up to 3 subpicture streams for widescreen menus
    (widescreen, letterbox, panscan)
  * fixed rendering of video frame
  * added auto duplication of title selection menu
  * added menu option "remember last selected button"
  * added detection of default video format at first start
  * added setting for interlaced video
  * added possibility to specify video border and cropping
  * added support of stream- and cell-tag in dvdstyler project file
  * changed to not use mplex by default.
  * fixed command line bug
  * fixed validation of disc label in welcome dialog
  * fixed validation of custom actions
  * added validation of chapters
  * added setting "Accept invalid actions"
  * fixed initialization of cache
  * fixed bug 2919588 (displays error message if user try to create more than
    12 buttons)
  * fixed bug 2963754 (save play all)
  * fixed bug 2995164 (Infernal loop)
  * fixed bug 3062442 (frame button misbehavior)
  * updated dvdauthor to version 0.6.18
  * updated ffmpeg to version 0.6
  * added support of Mac OS X
* Mon Jun 28 2010 detlef@links2linux.de
- new upstream version <1.8.1>
  * added possibility to change subtitle options
  * added support of VCD and half D1 resolutions
  * added validation of custom actions
  * some other small changes
* Tue May 11 2010 detlef@links2linux.de
- new upstream version <1.8.0.3>
  * updated some translations
* Wed Mar 17 2010 detlef@links2linux.de
- new upstream version <1.8.0.2>
  * fixed some bugs
  * updated some translations
* Thu Feb 18 2010 detlef@links2linux.de
- new upstream version <1.8.0.1>
  * significantly enhanced performance of video encoding under Windows
  * fixed crash when deleting all menus
  * updated some translations
* Wed Feb 10 2010 detlef@links2linux.de
- fix Makefile.am/in to install templates
* Wed Feb  3 2010 detlef@links2linux.de
- new upstream version <1.8.0>
* Sat Jan 30 2010 detlef@links2linux.de
- new upstream version <1.8.0rc3>
  * fixed some bugs
  * fixed multiplexing of multiple subtitles
  * added check if button coordinates are valid
  * added Norwegian translation (thanks to Olav Inge)
  * added Japanese translation (thanks to OKANO Takayoshi)
* Sun Jan 17 2010 detlef@links2linux.de
- new upstream version <1.8.0rc1>
  * added undo/redo
  * added menu item "Add file as chapter"
  * added possibility to drag-and-drop from TitlesetManager to MenuEditor
  * thumbnails: fixed font size and size of images
  * added support of ini-file under MS-Windows
  * added creation of file associations in windows installer
* Sat Jan  2 2010 detlef@links2linux.de
- new upstream version <1.8.0b3>
* Mon Nov 23 2009 detlef@links2linux.de
- new upstream version <1.7.4_3>
* Tue Oct 20 2009 detlef@links2linux.de
- new upstream version <1.7.4_1>
  * added three new buttons: text with circle, text with square and underlined text
  * button actions: added possibility to select audio and subtitle tracks
  * added possibility to set languages for audio streams
  * jumppad is disabled by default
  * added some warning messages
  * some other small changes
  * Windows: updated dvd+rw-tools to version 7.1, ffmpeg to 19793-snapshot
* Tue Aug 18 2009 detlef@links2linux.de
- new upstream version <1.7.3 final>
  * added welcome dialog
  * redesigned title properties dialog: added possibility to add/remove single audio and subtitle files
  * added possibility to set default button
  * added caching of transcoded files
  * saves relative path in project file
  * added check if there is enough space on temporary directory
  * added setting of DVD reserved space
  * added support of multi-core processors
  * updated for new ffmpeg library (v0.5)
  * update guide
  * some other small changes
  * added Vietnamese translation (thanks to Phan Anh)
  * added Tradition Chinese translation (thanks to Chung-Yu Hsu)
* Wed Jul 22 2009 detlef@links2linux.de
- new upstream version <1.7.3b4>
* Sat Mar  7 2009 detlef@links2linux.de
- new upstream version <1.7.2>
  * fixed multiplexing of NTSC subtitles (thanks to Jean-Luc Bedwani)
  * added Macedonian translation (thanks to Damjan Dimitrioski)
* Sat Feb 21 2009 detlef@links2linux.de
- new upstream version <1.7.1b5>
  * added setting of aspect ratio
  * added setting of disc capacity and bitrate
  * added displaying of fill status
  * added displaying of free space
  * added support of multiplexing using mplex tool
  * updated for new ffmpeg library
  * added help
* Mon Jan 26 2009 detlef@links2linux.de
- new upstream version <1.7.1b4_1>
  * added support of multiplexing using mplex tool
* Sat Jan  3 2009 detlef@links2linux.de
- new upstream version <1.7.1b3>
  * fixed setting of bitrate
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <1.7.1b2>
  * added setting of aspect ratio
  * added setting of disc capacity
  * updated for new ffmpeg library
* Fri Oct  3 2008 detlef@links2linux.de
- use find_lang
* Thu Sep 18 2008 Manfred.Tremmel@iiv.de
- new upstream version <1.7.0>
* Tue May 13 2008 detlef@links2linux.de
- new upstream version <1.6.2>
* Sat Apr  5 2008 detlef@links2linux.de
- rebuild with new wxsvg
* Wed Apr  2 2008 detlef@links2linux.de
- change to wxWidgets
* Tue Apr  1 2008 detlef@links2linux.de
- new upstream version <1.6.2b1>
* Mon Mar 17 2008 detlef@links2linux.de
- new upstream version <1.6.1_2>
* Thu Mar  6 2008 detlef@links2linux.de
- new upstream version <1.6.1_1>
* Tue Feb 26 2008 detlef@links2linux.de
- new upstream version <1.6.1b2_2>
* Wed Jan 23 2008 detlef@links2linux.de
- new upstream version <1.6.0_3>
* Tue Jan  8 2008 detlef@links2linux.de
- new upstream version <1.6.0_2>
* Fri Jan  4 2008 detlef@links2linux.de
- new upstream version <1.6.0>
* Tue Nov  6 2007 detlef@links2linux.de
- new upstream version <1.5.1_2>
* Tue Jul 31 2007 detlef@links2linux.de
- new upstream version <1.5.1>
* Fri May 18 2007 detlef@links2linux.de
- new upstream version <1.5-final>
* Fri Jan  5 2007 detlef@links2linux.de
- new upstream version
* Tue Feb 15 2005 rainer@links2linux.de
- added unicode
* Sat Nov 13 2004 rainer@links2linux.de
- first packman release
